#!/usr/bin/env ruby
# coding: euc-jp

require 'cgi'                  # cgiを使う宣言をする
c = CGI.new(:accept_charset => "EUC-JP") 
print("Content-type: text/html; charset=EUC-jp\n\n")

shojo = Array.new

shojo[0] = c["a"] #お腹が痛い
shojo[1] = c["b"] #胃がもたれる
shojo[2] = c["c"] #食欲がない
shojo[3] = c["d"] #下痢または便秘が続く
shojo[4] = c["e"] #頭が痛い
shojo[5] = c["f"] #熱がある
shojo[6] = c["g"] #鼻水が出る
shojo[7] = c["h"] #目が痛い・かゆい・充血す
shojo[8] = c["i"] #歯が痛い・しみる
shojo[9] = c["j"] #聴こえにくい・耳なりがする
shojo[10] = c["k"] #喉が痛い・声がでない
shojo[11] = c["l"] #腰が痛い
shojo[12] = c["m"] #肩が痛い・凝っている
shojo[13] = c["n"] #月経不順
shojo[14] = c["o"] #咳が止まらない
shojo[15] = c["p"] #骨が痛い・折れたようだ
shojo[16] = c["r"] #豊胸・整形・脂肪吸引・永久脱毛したい
shojo[17] = c["s"] #顏に火傷をおった
shojo[18] = c["t"] #呼吸が苦しい
shojo[19] = c["u"] #幻聴・幻覚・妄想
shojo[20] = c["v"] #不安で眠れない
shojo[21] = c["w"] #イライラが続く
shojo[22] = c["x"] #目まい・立ちくらみ
shojo[23] = c["y"] #物忘れ
shojo[24] = c["z"] #整形したい


print("<html>\n")      # HTMLの規定
print("<head>\n")      # HTMLの設定

print("<link rel=\"stylesheet\" type=\"text/css\" href=\"sagasu_shojo.css\">\n")
                       # cssの設定
print("<title>症状の情報</title>\n")   # <title>の表示
print("<link rel=\"shortcut icon\" href=\"smile.png\">")   # アイコン
print("</head>\n")     # HTMLの設定(閉)
print("<body>\n")      # HTMLの表示部分

print("<h1>症状別 診療科<sub><img class=\"head\" src=\"chara2.png\" width=\"100\" height=\"120\" alt=\"FUCHO\"></img></sub></h1>\n")                     # <h1>の表示

print("<h3>選択した症状:\n")
for apply in shojo
  printf("%s\n",apply)              # <p>の表示
end
print("</h3>")
print("<div class=\"center\">")

for apply in shojo

  if apply == "お腹が痛い"
    print("<p><img class=\"head\" src=\"chara_onaka.png\" width=\"250\" height=\"70\" alt=\"お腹が痛い\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>風邪・原因不明な場合…<a href=\"http://skip.koeki-prj.org/6hour/naika.html\">内科</a><br>\n
              心理的要因が考えられる場合…<a href=\"http://skip.koeki-prj.org/h6hour/sinryonaika.html\">心療内科</a><br>\n
              子ども(15歳くらいまで)である場合…<a href=\"http://skip.koeki-prj.org/6hour/shonika.html\">小児科</a><br>\n
              女性で腹部下部が痛む場合…<a href=\"http://skip.koeki-prj.org/6hour/sanfujinka.html\">産婦人科</a><br>\n
          </p>\n")

  elsif apply == "胃がもたれる"
    print("<p><img class=\"head\" src=\"chara_iga.png\" width=\"250\" height=\"70\" alt=\"胃がもたれる\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>原因不明な場合…<a href=\"http://skip.koeki-prj.org/6hour/naika.html\">内科</a><br>\n
              吐き気や胸焼けを伴う場合…<a href=\"http://skip.koeki-prj.org/6hour/ichouka.html\">胃腸科</a><br>\n
         </p>\n")


  elsif apply == "食欲がない"
    print("<p><img class=\"head\" src=\"chara_syokuyoku.png\" width=\"250\" height=\"70\" alt=\"食欲がない\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>原因不明な場合…<a href=\"http://skip.koeki-prj.org/6hour/naika.html\">内科</a><br>\n
              鎮痛剤を常時服用している場合…<a href=\"http://skip.koeki-prj.org/6hour/ichouka.html\">胃腸科</a><br>\n
              原因が精神的なものだと思われる場合…<a href=\"http://skip.koeki-prj.org/6hour/sinryonaika.html\">心療内科</a><br>\n
              症状が出ているのが子どもの場合…<a href=\"http://skip.koeki-prj.org/6hour/shonika.html\">小児科</a><br>\n
              </p>\n")


  elsif apply == "下痢または便秘が続く"
    print("<p><img class=\"head\" src=\"chara_benpi.png\" width=\"250\" height=\"70\" alt=\"下痢または便秘が続く\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>あまりいきまなくても動悸がする場合…<a href=\"http://skip.koeki-prj.org/6hour/naika.html\">内科</a><br>\n
              下痢によって全身に倦怠感を感じる場合…<a href=\"http://skip.koeki-prj.org/6hour/shoukakika.html\">消化器科</a><br>\n
              原因が精神的なものだと思われる場合…<a href=\"http://skip.koeki-prj.org/6hour/sinryonaika.html\">心療内科</a><br>\n
              症状が出ているのが子どもの場合…<a href=\"http://skip.koeki-prj.org/6hour/shonika.html\">小児科</a><br>\n
              </p>\n")


  elsif apply == "頭が痛い"
    print("<p><img class=\"head\" src=\"chara_zutsu.png\" width=\"250\" height=\"70\" alt=\"頭が痛い\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>原因不明な場合…<a href=\"http://skip.koeki-prj.org/6hour/naika.html\">内科</a><br>\n
              症状が出ているのが子どもの場合…<a href=\"http://skip.koeki-prj.org/6hour/shonika.html\">小児科</a><br>\n
              睡眠中に激しい痛みが短時間出現する場合…<a href=\"http://skip.koeki-prj.org/6hour/noushinkeigeka.html\">脳神経外科</a><br>\n
             </p>\n")


  elsif apply == "熱がある"
    print("<p><img class=\"head\" src=\"chara_natsu.png\" width=\"250\" height=\"70\" alt=\"熱がある\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>原因不明な場合…<a href=\"http://skip.koeki-prj.org/6hour/naika.html\">内科</a><br>\n
              症状が出ているのが子どもの場合…<a href=\"http://skip.koeki-prj.org/6hour/shonika.html\">小児科</a><br>\n
              </p>\n")


  elsif apply == "鼻水が出る"
    print("<p><img class=\"head\" src=\"chara_hanamizu.png\" width=\"250\" height=\"70\" alt=\"鼻水が出る\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>")
    print("<p>発熱を伴うなど、原因が風邪などと思われる場合…<a href=\"http://skip.koeki-prj.org/6hour/naika.html\">内科</a><br>\n
              原因がアレルギー等だと思われる場合…<a href=\"http://skip.koeki-prj.org/6hour/jibiinkouka.html\">耳鼻咽喉科</a><br>\n
              症状が出ているのが子どもの場合…<a href=\"http://skip.koeki-prj.org/6hour/shonika.html\">小児科</a><br>\n
              </p>\n")


  elsif apply == "目が痛い・かゆい・充血する"
    print("<p><img class=\"head\" src=\"chara_me.png\" width=\"250\" height=\"70\" alt=\"目が痛い・かゆい・充血する\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>目が赤くなった場合…<a href=\"http://skip.koeki-prj.org/6hour/ganka.html\">眼科</a><br>\n
              </p>\n")


  elsif apply == "歯が痛い・しみる"
    print("<p><img class=\"head\" src=\"chara_ha.png\" width=\"250\" height=\"70\" alt=\"歯が痛い・しみる\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>矯正歯科(症状の原因が歯並びや出っ歯、親知らずの場合…<a href=\"http://skip.koeki-prj.org/6hour/shika.html\">歯科</a><br>\n
              小児歯科(子どもの虫歯の治療の場合、また予防をしたい場合…<a href=\"http://skip.koeki-prj.org/6hour/shounishika.html\">小児科歯科</a><br>\n
              歯科口腔科(虫歯、または病感染の原因除去をしたい場合…<a href=\"http://skip.koeki-prj.org/6hour/shikakoukuuka.html\">歯科口腔科</a><br>\n
             </p>\n")


  elsif apply == "耳が痛い・耳なりがする"
    print("<p><img class=\"head\" src=\"chara_mimi.png\" width=\"250\" height=\"70\" alt=\"耳が痛い・耳なりがする\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>中耳炎や聴力の低下など、耳に疾患があると考えられる場合…<a href=\"http://skip.koeki-prj.org/6hour/jibiinkouka.html\">耳鼻いんこう科</a><br>\n
              原因が精神的な疾患であると考えられる場合…<a href=\"http://skip.koeki-prj.org/6hour/seishinka.html\">精神科</a><br>\n
           </p>\n")


  elsif apply == "喉が痛い・声がでない"
    print("<p><img class=\"head\" src=\"chara_nodo.png\" width=\"250\" height=\"70\" alt=\"喉が痛い・声がでない\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>原因が精神的な疾患であると考えられる場合…<a href=\"http://skip.koeki-prj.org/6hour/seishinka.html\">精神科</a><br>\n
              </p>\n")


  elsif apply == "腰が痛い"
    print("<p><img class=\"head\" src=\"chara_koshi.png\" width=\"250\" height=\"70\" alt=\"腰が痛い\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>ぎっくり腰の場合…<a href=\"http://skip.koeki-prj.org/6hour/seikeigeka.html\">整形外科</a><br>\n
              女性の場合…<a href=\"http://skip.koeki-prj.org/6hour/sanfujinka.html\">産婦人科</a><br>\n
              下腹部や腰のあたりに猛烈な痛みを感じる場合…<a href=\"http://skip.koeki-prj.org/6hour/hinyokika.html\">泌尿器科</a><br>\n
              </p>\n")


  elsif apply == "肩が痛い・凝っている"
    print("<p><img class=\"head\" src=\"chara_kata.png\" width=\"250\" height=\"70\" alt=\"肩が痛い・凝っている\"></img></p>\n")
    print("<p>-----おすすめの診療科-----</h3>\n")
    print("<p>肩こりが酷い…<a href=\"http://skip.koeki-prj.org/6hour/seikeigeka.html\">整形外科</a><br>\n
              </p>\n")


  elsif apply == "月経不順"
    print("<p><img class=\"head\" src=\"chara_gekkei.png\" width=\"250\" height=\"70\" alt=\"月経不順\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>原因不明の場合…<a href=\"http://skip.koeki-prj.org/6hour/sanfujinka.html\">産婦人科</a><br>\n
              妊娠を疑う場合…<a href=\"http://skip.koeki-prj.org/6hour/sanka.html\">産科</a><br>\n
              妊娠は疑えない場合…<a href=\"http://skip.koeki-prj.org/6hour/fujinka.html\">婦人科</a><br>\n
              全身に赤い斑点が表れた場合…<a href=\"http://skip.koeki-prj.org/6hour/seibyoka.html\">性病科</a><br>\n
             </p>\n")


  elsif apply == "咳が止まらない"
    print("<p><img class=\"head\" src=\"chara_seki.png\" width=\"250\" height=\"70\" alt=\"咳が止まらない\"></img></p>\n")
    print("<p>-----おすすめの診療科-----</p>")
    print("<p>喉が痛い…耳鼻いんこう科<br>\n
              痰に血が混じっている場合…<a href=\"http://skip.koeki-prj.org/6hour/kikanshokudouka.html\">気管食道科</a><br>\n
              息がぜーぜーする場合…<a href=\"http://skip.koeki-prj.org/6hour/kokyukika.html\">呼吸器科</a><br>\n
              急な発熱がある場合…<a href=\"http://skip.koeki-prj.org/6hour/arerugika.html\">アレルギー科</a><br>\n
              </p>\n")


  elsif apply == "骨が痛い・折れたようだ"
    print("<p><img class=\"head\" src=\"chara_koshi.png\" width=\"250\" height=\"70\" alt=\"骨が痛い・折れたようだ\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>骨折…<a href=\"http://skip.koeki-prj.org/6hour/seikeigeka.html\">整形外科</a><br>\n
              関節が痛い…<a href=\"http://skip.koeki-prj.org/6hour/riumachika.html\">リウマチ科</a><br>\n
              </p>\n")

  elsif apply == "豊胸・整形・脂肪吸引・永久脱毛したい"
    print("<p><img class=\"head\" src=\"chara_houkyo.png\" width=\"250\" height=\"70\" alt=\"豊胸・整形・脂肪吸引・永久脱毛したい\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>美容目的の場合…<a href=\"http://skip.koeki-prj.org/6hour/biyougeka.html\">美容外科</a><br>\n
              </p>\n")


  elsif apply == "皮膚に火傷をおった"
    print("<p><img class=\"head\" src=\"chara_yakedo.png\" width=\"250\" height=\"70\" alt=\"皮膚に火傷をおった\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>火傷の症状が重度な場合…<a href=\"http://skip.koeki-prj.org/6hour/keiseigeka.html\">形成外科</a><br>\n
              軽度の火傷の場合…<a href=\"http://skip.koeki-prj.org/6hour/hifuka.html\">皮膚科</a><br>\n
              火傷の治療に対し、手術が必要な場合…<a href=\"http://skip.koeki-prj.org/6hour/geka.html\">外科</a><br>\n
              </p>\n")


  elsif apply == "呼吸が苦しい"
    print("<p><img class=\"head\" src=\"chara_kokyu.png\" width=\"250\" height=\"70\" alt=\"呼吸が苦しい\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>風邪かなと思った場合…<a href=\"http://skip.koeki-prj.org/6hour/kokyukika.html\">呼吸器科</a><br>\n
             </p>\n")


  elsif apply == "幻聴・幻覚・妄想"
    print("<p><img class=\"head\" src=\"chara_genkaku.png\" width=\"250\" height=\"70\" alt=\"幻聴・幻覚・妄想\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>不安からもたらすもの…<a href=\"http://skip.koeki-prj.org/6hour/seishinka.html\">精神科</a><br>\n
              ストレスと関連がある場合…<a href=\"http://skip.koeki-prj.org/6hour/shinkeinaika.html\">神経内科</a><br>\n
              </p>\n")


  elsif apply == "不安で眠れない"
    print("<p><img class=\"head\" src=\"chara_fuan.png\" width=\"250\" height=\"70\" alt=\"不安で眠れない\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>幻覚や妄想からくる不安の場合…<a href=\"http://skip.koeki-prj.org/6hour/seishinka.html\">精神科</a><br>\n
              ストレスからくる場合…<a href=\"http://skip.koeki-prj.org/6hour/sinryonaika.html\">心療内科</a><br>\n
              ※どちらもほぼ同じ診察<br>\n
              </p>\n")


  elsif apply == "イライラが続く"
    print("<p><img class=\"head\" src=\"chara_ira.png\" width=\"250\" height=\"70\" alt=\"イライラが続く\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>幻覚や妄想からくる場合…<a href=\"http://skip.koeki-prj.org/6hour/seishinka.html\">精神科</a><br>\n
              生活が不摂生な人の場合…<a href=\"http://skip.koeki-prj.org/6hour/shinkeinaika.html\">神経内科</a><br>\n
              </p>\n")


  elsif apply == "めまい・立ちくらみ"
    print("<p><img class=\"head\" src=\"chara_memai.png\" width=\"250\" height=\"70\" alt=\"めまい・立ちくらみ\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>原因不明な場合…<a href=\"http://skip.koeki-prj.org/6hour/naika.html\">内科</a><br>\n
              目眩によって意識を失った事がある場合…<a href=\"http://skip.koeki-prj.org/6hour/junkankika.html\">循環器科</a><br>\n
              </p>\n")


  elsif apply == "物忘れ"
    print("<p><img src=\"chara_monoasure.png\" width=\"250\" height=\"70\" alt=\"物忘れ\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>\n")
    print("<p>患者が高齢者の場合…<a href=\"http://skip.koeki-prj.org/6hour/seishinka.html\">精神科</a><br>\n
              しびれがある場合…<a href=\"http://skip.koeki-prj.org/6hour/noushinkeigeka.html\">脳神経外科</a><br>\n
              </p>\n")


  elsif apply == "整形したい"
    print("<p><img src=\"chara_seikei.png\" width=\"250\" height=\"70\" alt=\"整形したい\"></img></p>\n")
    print("<h3>-----おすすめの診療科-----</h3>")
    print("<p>傷や火傷を直したい場合…<a href=\"http://skip.koeki-prj.org/6hour/keiseigeka.html\">形成外科</a><br>\n
               美容目的の場合…<a href=\"http://skip.koeki-prj.org/6hour/biyougeka.html\">美容外科</a><br>\n
               </p>\n")



  end

end
print("</div>")
print("<a href=\"http://skip.koeki-prj.org/6hour/hospital.html\">戻る</a>
<a href=\"http://skip.koeki-prj.org/\">SKIP</a>\n") 
# TOPへのリンクの表示
print("<p>最長 6 時間</p>\n")   

print("</body>\n")
print("</html>\n")
